motif.find {bio3d} | R Documentation

## Find Sequence Motifs.

### Description

Return Position Indices of a Short Sequence Motif Within a Larger Sequence.

### Usage

    motif.find(motif, sequence)

### Arguments

`motif` | a character vector of the short sequence motif.
`sequence` | a character vector of the larger sequence.

### Details

The sequence and the motif can be given as a either a multiple or single element character vector. The dot character and other valid `regexpr` characters are allowed in the motif, see examples.

### Value

Returns a vector of position indices within the sequence where the motif was found, see examples.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`regexpr`, `read.fasta`, `pdbseq`

### Examples

    # PDB server connection required - testing excluded

    aa.seq <- pdbseq( read.pdb( get.pdb("4q21", URLonly=TRUE) ) )
    motif = c("G....GKS")
    motif.find(motif, aa.seq)

[Package bio3d version 2.3-4 Index]